Bug 114079 - rpm-4.3-0.8 segfault
rpm-4.3-0.8 segfault
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-22 08:35 EST by Elliot Lee
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-23 21:08:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliot Lee 2004-01-22 08:35:33 EST
'rpm -q rpm' segfaults
Comment 2 Elliot Lee 2004-01-23 11:22:37 EST
db_verify succeeds, rebuilddb segfaults too.
Comment 3 Jeff Johnson 2004-01-23 11:40:37 EST
What does rpm -qa -vv say? Alternatively --rebuilddb -vv?
Try rm /var/lib/rpm/Pubkeys, or add --nosignature --nodigest.

If that segfaults, then manual deletion of that header is what is needed.
http://
Comment 4 Jeff Johnson 2004-01-23 21:08:08 EST
Manual deletion can be accomplished by downloading
    ftp://people.redhat.com/jbj/t38454.c

You will need the header instance number to be deleted,
the 1st number displayed with -vv output with rpm -qa,
or rpm --rebuilddb, as in:
    D:  read h#    2042 Header ...

Edit the header instance into t38454.c, compile, execute, run
--rebuilddb afterwards to rebuild the indices.

Note You need to log in before you can comment on or make changes to this bug.